OMV 5.0 - finally out! :-)

  • Hi

    After rebooting as per pos #38 I got libsnmp-base error

    It seems you are still using Debian 9 package repositories in Debian 10. Fix that and the error should be gone.

  • My sources.list:


  • Code
    I have upgraded to OMV 5 of the posted instructions. There were several errors and now I can no longer access the web interface.
    Is there still a solution for me? Maybe someone has a tip on what else I can do?
    Thanks a lot
  • I believe I have some hicup in my network configuration after my upgrade from 4 to 5:

    If I change the configuration of a network interface, e.g. by simply adding an IP adress for the default gateway, and then apply the configuration, I get the following error:

    Do you have any idea how to fix this problem?

  • I believe I have some hicup in my network configuration after my upgrade from 4 to 5:

    If I change the configuration of a network interface, e.g. by simply adding an IP adress for the default gateway, and then apply the configuration, I get the following error:

    Do you have any idea how to fix this problem?

    It seems you have a duplicate configuration entry for eno1. Use omv-firstaid to reset the network configuration.

  • I tried post #38, but now on commands like apt update I get:

    E: The package openmediavault-omvextrasorg needs to be reinstalled, but I can't find an archive for it.


    If I try to re-install the package (downloading & dpgk -i), I get:

    /var/lib/dpkg/info/openmediavault-shellinabox.postrm: 24: .: Can't open /usr/share/openmediavault/scripts/helper-functions

    dpkg: error processing archive openmediavault-omvextrasorg_latest_all4.deb (--install):

    subprocess installed post-removal script (for disappearance) script returned error exit status 2


    Seems like openmediavault itself is uninstalled, but running apt-get install --reinstall openmediavault, gives me back the first error:

    E: The package openmediavault-omvextrasorg needs to be reinstalled, but I can't find an archive for it.

  • Unfortunately I already did some reboot losing the output.

    But I kinda fixed it by doing for every package:

    Code
    sudo rm -i /var/lib/dpkg/info/openmediavault-conflictingpackage.*
    sudo dpkg --remove --force-remove-reinstreq openmediavault-conflictingpackage


    I then reverted the apt source lists back to stretch / arrakis and reinstalled openmediavault


    From there I followed again the steps of #38


    Now I'm on debian 10 and OMV runs, but now I get an 'Internal server error' on a lot of pages saying there's no storage backend for ZFS.

    When I try to install the ZFS plugin again, I also get internal server errors. It does claim to be installed, but doesn't appear anywwhere.


    Via the shell apt tells me:

    Code
    May 29 00:45:21 jef.lan systemd[1]: Starting Mount ZFS filesystems...
    May 29 00:45:21 jef.lan zfs[17204]: cannot mount '/pool': directory is not empty
    May 29 00:45:21 jef.lan systemd[1]: zfs-mount.service: Main process exited, code=exited, status=1/FAILURE
    May 29 00:45:21 jef.lan systemd[1]: zfs-mount.service: Failed with result 'exit-code'.
    May 29 00:45:21 jef.lan systemd[1]: Failed to start Mount ZFS filesystems.
    dpkg: error processing package zfsutils-linux (--configure):
    installed zfsutils-linux package post-installation script subprocess returned error exit status 1
    dpkg: dependency problems prevent configuration of openmediavault-zfs:
    openmediavault-zfs depends on zfsutils-linux; however:
    Package zfsutils-linux is not configured yet.


    Turns out there was some docker mapped directories in the pool directory. So I moved those and now ZFS seems to work.

    Then none of my SMB shares appeared. But after making a dummy change to re-apply the SMB configuration, this now seems to work fine.

    I'll probably discover a couple more surprises, but main functionality now works.

  • After the first step


    Code
    wget -O - https://github.com/OpenMediaVault-Plugin-Developers/installScript/raw/master/upgrade4to5 | sudo bash


    I get:


  • Thanks, I managed to do the upgrade in the meantime. I have OMV 5 up and running although not in a useable state up to here.

    I have issues with DNS and pihole.

    I have no DNS resolution. My pihole tells me:

    Code
    WARNING Misconfigured DNS in /etc/resolv.conf: Two DNS servers are recommended, 127.0.0.1 and any backup server
    WARNING Misconfigured DNS in /etc/resolv.conf: Primary DNS should be 127.0.0.1 (found 127.0.0.11)


    Changing resolv.conf to


    Code
    nameserver 8.8.8.8

    gives me internet but only until reboot.

    I read that i might need to update my pihole to accept the NET_ADMIN flag but my dockers have no network connection. Probably related to this above described issue.

    So I am kind of stuck...

    Edited once, last by monsen: Here are some (probably) related posts: https://github.com/pi-hole/docker-pi-hole/issues/497 ().

  • Checking /etc/dhcpcd.conf i found:


    Code
    interface eth0
    static ip_address=192.168.1.35/24
    static routers=192.168.1.1
    static domain_name_servers=127.0.0.1
    interface eth0
    static ip_address=192.168.1.222/24
    static routers=192.168.1.1
    static domain_name_servers=127.0.0.1


    changing this to:


    Code
    interface eth0
    static ip_address=192.168.1.35/24
    static routers=192.168.1.1
    static domain_name_servers=192.168.1.1
    #interface eth0
    # static ip_address=192.168.1.222/24
    # static routers=192.168.1.1
    # static domain_name_servers=192.168.1.1


    Brought back DNS resultion and the pihole GUI is accessible through 192.168.1.222 again.

    Not sure if this is the intended way, but for now it seems to work

  • Hi!


    So I decided to upgrade to OMV5 today (from OMV4) using the upgrade script from here but ran into this issue regarding the snapraid plugin.


    At some point during the execution of the script it came up with:

    Code
    Setting up openmediavault-snapraid (5.0.5) ...
    Updating configuration database ...
    dpkg: error processing package openmediavault-snapraid (--configure):
    installed openmediavault-snapraid package post-installation script subprocess returned error exit status 1

    Aborting the rest execution of the rest of the script (I assume). Now when I try to run the apt-get upgrade command it gives me the same error. So I had a look at the post-installation script to get more info on what is happening;

    Which made me decide to run omv-salt deploy run snapraid, showing me this;

    omv-confdbadm read conf.service.snapraid shows me the same exception.


    Unfortunately, this is as far as I got. Found this thread, but it's not the same issue - though maybe related? Guessing something's not quite right migrating my snapraid config file? Which has the following info at the top of the file:

    Code
    # this file was automatically generated from
    # openmediavault Arrakis 4.1.27-1
    # and 'openmediavault-snapraid' 3.7.7

    Any help would be appeciated!


    Also found this thread; prefer to not do a clean install (and other users might run into the same issue). Feel free to move this post to that thread though.


    EDIT:

    Purged the openmediavault-snapraid plugin, after which I could continue the upgrade steps. Unfortunately ended up with this error when trying to log in to the web gui. So guessing some plugins weren't removed by the upgrade script. Removing any corresponding plugins from this list:

    Code
    echo "Purging incompatible plugins ..."
    apt-get purge openmediavault-cups openmediavault-dnsmasq openmediavault-docker-gui openmediavault-domoticz \
    openmediavault-duplicati openmediavault-eyefi openmediavault-ldap openmediavault-letsencrypt openmediavault-mysql \
    openmediavault-nginx openmediavault-openvpn openmediavault-pxe openmediavault-remotedesktop openmediavault-route \
    openmediavault-shellinabox openmediavault-syncthing openmediavault-transmissionbt openmediavault-urbackup-server \
    openmediavault-vdo openmediavault-virtualbox openmediavault-webdav \
    openmediavault-netatalk openmediavault-route

    Seemed to have solved it for me, odd that the script wasn't able to remove them after running the script multiple times.


    Now to replace the plugins with their docker counterparts...

  • I used this part of yours and got further it upgraded to 0mv 5 but i can't get into web gui i get 502 bad gateway now i was in once but i applied setting when it came up in interface and got screwed from there. can still connect via ssh, shares still work. just can't get into web interface.

    if i use omc-firstaid will i have to redo my shares i forget what happen last time.

  • I used this part of yours and got further it upgraded to 0mv 5 but i can't get into web gui i get 502 bad gateway now i was in once but i applied setting when it came up in interface and got screwed from there. can still connect via ssh, shares still work. just can't get into web interface.

    if i use omc-firstaid will i have to redo my shares i forget what happen last time.

    Try this:


    RE: Upgrade to Kernel 5.3?

    --
    Google is your friend and Bob's your uncle!


    OMV AMD64 5.x on ASRock Rack C2550D4I C0 Stepping - 16GB ECC - Silverstone DS380 + Silverstone DS380 DAS Box.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!